# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

use strict;
use Test;
BEGIN { plan tests => 5 };
use Parse::IrcLog::BitchX;
use vars qw/$line

			/;

my $irclog = 'IrcLog.sample';
open (IRC, "<$irclog") || die "couldn't open $irclog for reading";
while ($line = <IRC>) {
	my $text = "";
	#$line = &clean($line);
	&gethash($line);
	if(! %bx)	{ next }	
		if($bx{'type'} eq "regular")	{
			$text = "$bx{'name'} says $bx{'content'}";
			}	
		elsif($bx{'type'} eq "me")	{
			$text = "$bx{'name'} $bx{'content'}";
			print "$text \n";
		}
		elsif($bx{'type'} eq "joined")	{
			$text = "$bx{'name'} has joined $bx{'chan'}";
			print "$text\n";
		}
		elsif($bx{'type'} eq "signoff")	{
			$text = "$bx{'name'} has left $bx{'chan'}\. $bx{'content'}";
			print "$text\n";
		}
		elsif($bx{'type'} eq "topic")	{
			$text = "the topic for $bx{'chan'} is $bx{'content'}";
			print "$text\n";
		}		
		elsif($bx{'type'} eq "msg_from")	{
			$text = "message from $bx{'name'}: $bx{'content'}";
			print "$text\n";
		}
		elsif($bx{'type'} eq "msg_to")	{
			$text = "message to $bx{'name'}: $bx{'content'}";
			print "$text\n";
		}
}
ok(1); # If we made it this far, we're ok.

#########################

# Insert your test code below, the Test module is use()ed here so read
# its man page ( perldoc Test ) for help writing this test script.
